import os
from pathlib import Path
from typing import List

BASE_DIR = Path(os.environ.get('DJANGO_SETTINGS_BASE_PATH', '.')).resolve()
DEBUG = os.environ.get('DEBUG', 'True') == 'True'
SECRET_KEY = os.environ.get('SECRET_KEY', 'secret_key')
ENV = os.environ.get('ENVIRONMENT', 'development')

if 'INSTALLED_APPS' not in globals():
    INSTALLED_APPS: List[str] = []

INSTALLED_APPS = [
    'apps.authentication.apps.AuthenticationConfig',
    'apps.main.apps.MainConfig',
    'apps.settings.apps.SettingsConfig',
    'apps.products.apps.ProductsConfig',
    'apps.cms.apps.CMSConfig',
] + INSTALLED_APPS

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': os.environ.get('DB_SCHEMA', 'vvecfqnh_cnn_db'),
        'USER': os.environ.get('DB_USERNAME', 'vvecfqnh_cnn_db'),
        'PASSWORD': os.environ.get('DB_PASSWORD', 'Ol(4DuIEXBea'),
        'HOST': os.environ.get('DB_HOST', 'premium236.web-hosting.com'),
        'PORT': '3306',
    }
}

if 'TEMPLATES' not in globals():
    TEMPLATES: list = [{'DIRS': []}]

TEMPLATES[0]['DIRS'] += [BASE_DIR / 'static/templates']

STATIC_URL = 'static/'
STATIC_ROOT = BASE_DIR / 'static'  # noqa F405

# Media files (Images)
MEDIA_URL = 'media/'
MEDIA_ROOT = BASE_DIR / 'media'  # noqa F405

AUTH_USER_MODEL = 'authentication.User'

APPEND_SLASH = True
